Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.sax.component
Class AbstractLinkRewriterTransformer

    java.lang.Object
      org.apache.cocoon.pipeline.component.AbstractPipelineComponent
          org.apache.cocoon.sax.AbstractSAXPipelineComponent
              org.apache.cocoon.sax.AbstractSAXProducer
                  org.apache.cocoon.sax.AbstractSAXTransformer
                      org.apache.cocoon.sax.component.AbstractLinkRewriterTransformer

All Implemented Interfaces:
  CachingPipelineComponent, Consumer, PipelineComponent, Producer, SAXConsumer, SAXPipelineComponent, SAXProducer, ContentHandler, LexicalHandler

Direct Known Subclasses:
  RegexpLinkRewriterTransformer

    public abstract class AbstractLinkRewriterTransformer

extends AbstractSAXTransformer
implements CachingPipelineComponent

Field Summary
`protected static String` | `ALL_NAMESPACES`
`protected static String` | `EMPTY_NAMESPACE`
`protected static Log` | `LOG`

Constructor Summary
`AbstractLinkRewriterTransformer()`

Method Summary
`void` | `addElement(String elementName, String attributeName)`
`void` | `addElement(String elementNS, String elementName, String attributeNS, String attributeName)`
`CacheKey` | `constructCacheKey()`
`protected abstract String` | `rewrite(String elementNS, String elementName, String attributeNS, String attributeName, String link)`
`void` | `setConfiguration(Map<String,? extends Object> configuration)` Pass component specific configuration parameters to the pipeline component in a generic way.
`void` | `setup(Map<String,Object> parameters)` The shared object map for this pipeline run.
`void` | `startElement(String uri, String localName, String name, Attributes atts)`

Methods inherited from class org.apache.cocoon.sax.AbstractSAXTransformer
`characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, endSAXRecording, ignorableWhitespace, processingInstruction, removeRecorder, sendEndPrefixMapping, sendStartPrefixMapping, setDocumentLocator, setRecorder, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping, startSAXRecording`

Methods inherited from class org.apache.cocoon.sax.AbstractSAXProducer
`getSAXConsumer, setConsumer, setSAXConsumer, toString`

Methods inherited from class org.apache.cocoon.pipeline.component.AbstractPipelineComponent
`finish`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.pipeline.component.PipelineComponent
`finish`

Field Detail

### ALL_NAMESPACES

    protected static final String ALL_NAMESPACES

See Also:
  Constant Field Values

### EMPTY_NAMESPACE

    protected static final String EMPTY_NAMESPACE

See Also:
  Constant Field Values

### LOG

    protected static final Log LOG

Constructor Detail

### AbstractLinkRewriterTransformer

    public AbstractLinkRewriterTransformer()

Method Detail

### setConfiguration

    public void setConfiguration(Map<String,? extends Object> configuration)

  Description copied from interface: `PipelineComponent`
  Pass component specific configuration parameters to the pipeline component in a generic way. This is useful in environments that automatically assemble pipelines with their components and can't use the components constructors or setters.

  Specified by:
    `setConfiguration` in interface `PipelineComponent`
  Overrides:
    `setConfiguration` in class `AbstractPipelineComponent`
  Parameters:
    `configuration` - The `Map` of configuration parameters.

### setup

    public void setup(Map<String,Object> parameters)

  Description copied from interface: `PipelineComponent`
  The shared object map for this pipeline run.

  Specified by:
    `setup` in interface `PipelineComponent`
  Overrides:
    `setup` in class `AbstractPipelineComponent`
  Parameters:
    `parameters` - A `Map` of parameters that are available to all `PipelineComponent`s. This is a modifiable map that can be changed by this pipeline component.

### startElement

    public final void startElement(String uri,
                                   String localName,
                                   String name,
                                   Attributes atts)
                            throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### addElement

    public final void addElement(String elementName,
                                 String attributeName)

### addElement

    public final void addElement(String elementNS,
                                 String elementName,
                                 String attributeNS,
                                 String attributeName)

### rewrite

    protected abstract String rewrite(String elementNS,
                                      String elementName,
                                      String attributeNS,
                                      String attributeName,
                                      String link)
                               throws LinkRewriterException

  Throws:
    `LinkRewriterException`

### constructCacheKey

    public final CacheKey constructCacheKey()

  Specified by:
    `constructCacheKey` in interface `CachingPipelineComponent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.